<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blog_town
 */

get_header();

if ( have_posts() ) : ?>

    <?php
        $display_slider = get_theme_mod('blog_town_slider_display',true);
        $sidebar_position = get_theme_mod('blog_town_sidebar_position', 'right');
        if ($sidebar_position == 'left') {
            $sidebar_position = 'has-left-sidebar';
        } elseif ($sidebar_position == 'right') {
            $sidebar_position = 'has-right-sidebar';
        } elseif ($sidebar_position == 'no') {
            $sidebar_position = 'no-sidebar';
        }

        if($display_slider){ 
            get_template_part( 'template-parts/content', 'slider' );
        }
    ?>

		<section class="inner-blog pt-90 pb-90">
            <div class="container">
                <div class="row <?php echo esc_attr($sidebar_position); ?>">
                    <div class="col-lg-8">


                    	<?php while ( have_posts() ) : the_post(); ?>
						<?php get_template_part( 'template-parts/content', get_post_type() ); ?>
						<?php endwhile; ?>

                    	<div class="pagination-wrap">
                            <nav>
                                <ul class="pagination">
                                	<?php echo paginate_links(); ?>
                                </ul>
                            </nav>
                        </div>

                    </div>
                    <?php
                    if($sidebar_position != 'no-sidebar') { ?>
                        <div class="col-lg-4">
    						<?php get_sidebar(); ?>
    					</div>
                    <?php } ?>
                </div>
            </div>
        </section>

<?php endif; 
get_footer();
