<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package blog_town
 */

get_header();

if ( have_posts() ) : ?>
<?php
    $sidebar_position = get_theme_mod('blog_town_sidebar_position', 'right');
    if ($sidebar_position == 'left') {
        $sidebar_position = 'has-left-sidebar';
    } elseif ($sidebar_position == 'right') {
        $sidebar_position = 'has-right-sidebar';
    } elseif ($sidebar_position == 'no') {
        $sidebar_position = 'no-sidebar';
    }
    ?>
    <div class="breadcrumb-area d-flex align-items-center"> 
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-12 col-lg-12">
                    <div class="breadcrumb-wrap text-left">
                        <div class="breadcrumb-title">
                            <h2><?php blog_town_breadcrumb();?></h2>
                            <div class="breadcrumb-wrap">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb">
                                         <?php breadcrumb_trail();?>
                                    </ol>
                                </nav>
                            </div>
                         </div>
                    </div>
                </div>  
            </div>
        </div>       
    </div>

    <section class="inner-blog b-details-p pt-80 pb-80">
        <div class="container">
            <div class="row <?php echo esc_attr($sidebar_position); ?>">
                <div class="col-lg-8">

                	<?php while ( have_posts() ) : the_post(); blog_town_set_post_view(); ?>
    					<?php get_template_part( 'template-parts/content', 'single' ); 
    					if ( comments_open() || '0' != get_comments_number() ) :
    					comments_template(); 
    					endif;?>
    					
    				<?php endwhile; ?>

                </div>
                <?php
                if($sidebar_position != 'no-sidebar') { ?>
                <div class="col-lg-4">			
    				<?php get_sidebar(); ?>		
    			</div>
                <?php } ?>
            </div>
        </div>
    </section>
	

<?php
endif;
get_footer();